### Method

# Gtk FlowBoxset_sort_func

#### Declaration [src]

    void
    gtk_flow_box_set_sort_func (
      GtkFlowBox* box,
      GtkFlowBoxSortFunc sort_func,
      gpointer user_data,
      GDestroyNotify destroy
    )

#### Description [src]

By setting a sort function on the `box`, one can dynamically reorder the children of the box, based on the contents of the children.

The `sort_func` will be called for each child after the call, and will continue to be called each time a child changes (via `gtk_flow_box_child_changed()`) and when `gtk_flow_box_invalidate_sort()` is called.

Note that using a sort function is incompatible with using a model (see `gtk_flow_box_bind_model()`).

#### Parameters

`sort_func`

  Type: `GtkFlowBoxSortFunc`

  The sort function.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data passed to `sort_func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`destroy`

  Type: `GDestroyNotify`

  Destroy notifier for `user_data`.